---
title: HTMLTableElement.tHead
slug: Web/API/HTMLTableElement/tHead
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - Property
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLTableElement.tHead</strong></code> represents the {{HTMLElement("thead")}} element of a {{HTMLElement("table")}} . Its value will be <code>null</code> if there is no such element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>thead_el</em><em>ement</em> = <em>table</em>.tHead;
<em>table</em>.tHead = <em>thead_element</em>;
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>thead_element</code> is a {{domxref("HTMLTableSectionElement")}}.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">if (table.tHead == my_head_el) {
  // ...
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "tabular-data.html#dom-table-thead", "HTMLTableElement.tHead")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "tabular-data.html#dom-table-thead", "HTMLTableElement.tHead")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>No change from {{SpecName("DOM2 HTML")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-9530944', 'HTMLTableElement.tHead')}}</td>
   <td>{{Spec2('DOM2 HTML')}}</td>
   <td>No change from {{SpecName("DOM1")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM1', 'level-one-html.html#ID-9530944', 'HTMLTableElement.tHead')}}</td>
   <td>{{Spec2('DOM1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.tHead")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface implementing this property: {{domxref("HTMLTableElement")}}.</li>
</ul>
